Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/25892/?format=api
{ "ob_id": 25892, "uuid": "62cc25997f58459581879553f3a25e19", "title": "Sustaining Himalayan Water Resources in a Changing Climate (SusHi-Wat): Monthly maps of wet and dry snow over a Himalayan river basin (January 2015 to July 2017)", "abstract": "This dataset contains monthly maps of dry and wet snow for a Himalayan river basin in northern India. The data were collected as part of the Sustaining Himalayan Water Resources in a Changing Climate (SusHi-Wat) project aimed at improving our understanding on how water is stored in, and moves through, a Himalayan river system in northern India. \r\n\r\nThe maps were obtained by combining satellite remote sensing images from Sentinel-1 and the Moderate Resolution Imaging Spectroradiometer (MODIS). The resolution of the maps is 500m and the coordinate system is EPSG:4326. The dry snow data correspond to the MODIS land cover product (MCD12Q1). The wet snow data were obtained from Sentinel-1 by applying a -2dB threshold on the backscatter ratio between a Sentinel-1 image with wet snow and a reference Sentinel-1 image with only dry snow. \r\n\r\nThe possible pixel values are: \r\n0: no snow, \r\n1-100: wet snow cover fraction, \r\n101-200: dry snow cover fraction with an offset of 100, \r\n240: missing Sentinel-1 data, \r\n250: pixel wrongly identified as wet snow by Sentinel-1 (false positives), \r\n255: fill value. \r\n\r\nThe images are GeoTIFF formatted.", "keywords": "Himalayan, wet, dry, snow, hydrology, Sentinel-1, MODIS, sushi-wat", "publicationState": "citable", "dataPublishedTime": "2018-03-16T15:35:39", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/25894/?format=api", "dataPath": "/badc/deposited2018/sushi-wat_snow-maps/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 30447071, "numberOfFiles": 31, "fileFormat": "The images are GeoTIFF formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/6991/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2187/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data was prepared and sent to Centre for Environmental Data Analysis (CEDA) for archiving by the project team.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/9681/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/24877/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108253/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108254/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108255/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108256/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108257/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108259/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108260/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108261/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108258/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168819/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108264/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108265/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108266/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108267/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/25893/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }